<template>
  <div>
    <h1 class="mb-2">What sort of results are you looking for?</h1>
    <p class="mb-6">Select all that apply.</p>
    <div class="quiz-choices">
      <checkbox-input
        v-for="(choice, idx) in choices"
        :key="idx"
        :input-value="choice"
        :value="checkboxSelected"
        @input="handleCheckboxInput"
      >
        {{ choice }}
      </checkbox-input>
    </div>
    <CommonBtn
      text="Next"
      :disabled="!checkboxSelected.length"
      @click="$emit('nextStage')"
    />
  </div>
</template>

<script>
import CheckboxInput from "@/components/inputs/CheckboxInput";
import {answersMixin, checkboxMixin} from "@/utils/mixins";
import CommonBtn from "@/components/common/CommonBtn";

export default {
  mixins: [checkboxMixin, answersMixin],
  name: "WhatResults",
  components: {CommonBtn, CheckboxInput},
  data() {
    return {
      choices: [
        'Get hard and stay hard',
        'Increase my libido',
        'Keep from ejaculating too early',
        'Ejaculate quicker or at all',
        'Avoid pain during sex',
      ],
      checkHandler: () => {
        this.setAnswer(this.answersKeys.WHAT_RESULTS, this.checkboxSelected)
      }
    }
  }
}
</script>

<style scoped>

</style>
